import type { DUploadFile } from './Upload';
import React from 'react';
export interface DPictureProps extends Omit<React.HTMLAttributes<HTMLUListElement>, 'children'> {
    children?: React.ReactNode;
    dFileList: DUploadFile[];
    dDefaultActions?: {
        preview?: (file: DUploadFile) => void;
        download?: (file: DUploadFile) => void;
    };
    dActions: (file: DUploadFile, index: number) => React.ReactNode[];
    onRemove: (file: DUploadFile) => void;
}
export declare function DPicture(props: DPictureProps): JSX.Element | null;
